clarnv.f(3)

NAME
clarnv.f -

SYNOPSIS

  Functions/Subroutines
subroutine clarnv (IDIST, ISEED, N, X)
CLARNV returns a vector of random numbers from a uniform or normal distribution.

Function/Subroutine Documentation

  subroutine clarnv (integerIDIST, integer, dimension( 4 )ISEED, integerN, complex, dimension( * )X)

CLARNV returns a vector of random numbers from a uniform or normal distribution.

Purpose:

     CLARNV returns a vector of n random complex numbers from a uniform or
     normal distribution.

Parameters:
    IDIST

              IDIST is INTEGER
              Specifies the distribution of the random numbers:
              = 1:  real and imaginary parts each uniform (0,1)
              = 2:  real and imaginary parts each uniform (-1,1)
              = 3:  real and imaginary parts each normal (0,1)
              = 4:  uniformly distributed on the disc abs(z) < 1
              = 5:  uniformly distributed on the circle abs(z) = 1

    ISEED

              ISEED is INTEGER array, dimension (4)
              On entry, the seed of the random number generator; the array
              elements must be between 0 and 4095, and ISEED(4) must be
              odd.
              On exit, the seed is updated.

    N

              N is INTEGER
              The number of random numbers to be generated.

    X

              X is COMPLEX array, dimension (N)
              The generated random numbers.

Author:
    Univ. of Tennessee

    Univ. of California Berkeley

    Univ. of Colorado Denver

    NAG Ltd.

Date:
    September 2012

Further Details:

      This routine calls the auxiliary routine SLARUV to generate random
      real numbers from a uniform (0,1) distribution, in batches of up to
      128 using vectorisable code. The Box-Muller method is used to
      transform numbers from a uniform to a normal distribution.

Definition at line 100 of file clarnv.f.

Author

Generated automatically by Doxygen for LAPACK from the source code.